package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO struct {
	/*
	   批次名称     */
	BatchName *string `json:"batch_name,omitempty" `

	/*
	   淘宝订单号     */
	TbOrderId *string `json:"tb_order_id,omitempty" `

	/*
	   取消退款金额     */
	CancelAmount *string `json:"cancel_amount,omitempty" `

	/*
	   渠道号     */
	OrderNum *string `json:"order_num,omitempty" `

	/*
	   优惠金额     */
	DiscountAmount *string `json:"discount_amount,omitempty" `

	/*
	   备注     */
	Remark *string `json:"remark,omitempty" `

	/*
	   批次号     */
	BatchId *string `json:"batch_id,omitempty" `

	/*
	   店仓名称     */
	WarehouseName *string `json:"warehouse_name,omitempty" `

	/*
	   店仓code     */
	WarehouseCode *string `json:"warehouse_code,omitempty" `

	/*
	   自提点地址     */
	SelfPickPlace *string `json:"self_pick_place,omitempty" `

	/*
	   商品列表     */
	ItemInfoList *[]AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO `json:"item_info_list,omitempty" `

	/*
	   储藏方式     */
	StorageMode *int64 `json:"storage_mode,omitempty" `

	/*
	   商品总件数     */
	AllItemCount *int64 `json:"all_item_count,omitempty" `

	/*
	   缺货出状态     */
	OutOfStock *bool `json:"out_of_stock,omitempty" `

	/*
	   最晚送达时间     */
	LatestArriveTime *util.LocalTime `json:"latest_arrive_time,omitempty" `

	/*
	   实付金额     */
	PayOrderAmount *string `json:"pay_order_amount,omitempty" `

	/*
	   包装费     */
	PackageFee *string `json:"package_fee,omitempty" `

	/*
	   差额退款金额     */
	RefundAmount *string `json:"refund_amount,omitempty" `

	/*
	   渠道订单号     */
	ChannelOrderId *string `json:"channel_order_id,omitempty" `

	/*
	   发票连接     */
	BillingLink *string `json:"billing_link,omitempty" `

	/*
	   订单票联  user:顾客联，seller：商家联     */
	TicketCouPon *[]string `json:"ticket_cou_pon,omitempty" `

	/*
	   买家信息     */
	BuyerInfo *AlibabaTclsAelophyOrderReceiptQueryBuyerInfoDTO `json:"buyer_info,omitempty" `

	/*
	   运费     */
	Postage *string `json:"postage,omitempty" `

	/*
	   商品总额     */
	TotalOrderAmount *string `json:"total_order_amount,omitempty" `

	/*
	   批次策略     */
	BatchStrategy *string `json:"batch_strategy,omitempty" `

	/*
	   业务类型     */
	BusinessType *string `json:"business_type,omitempty" `

	/*
	   履约单号     */
	FulfillOrderId *string `json:"fulfill_order_id,omitempty" `
}

func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetBatchName(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.BatchName = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetTbOrderId(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.TbOrderId = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetCancelAmount(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.CancelAmount = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetOrderNum(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.OrderNum = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetDiscountAmount(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.DiscountAmount = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetRemark(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.Remark = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetBatchId(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.BatchId = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetWarehouseName(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.WarehouseName = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetWarehouseCode(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.WarehouseCode = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetSelfPickPlace(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.SelfPickPlace = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetItemInfoList(v []AlibabaTclsAelophyOrderReceiptQueryItemInfoDTO) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.ItemInfoList = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetStorageMode(v int64) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.StorageMode = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetAllItemCount(v int64) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.AllItemCount = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetOutOfStock(v bool) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.OutOfStock = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetLatestArriveTime(v util.LocalTime) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.LatestArriveTime = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetPayOrderAmount(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.PayOrderAmount = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetPackageFee(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.PackageFee = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetRefundAmount(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.RefundAmount = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetChannelOrderId(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.ChannelOrderId = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetBillingLink(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.BillingLink = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetTicketCouPon(v []string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.TicketCouPon = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetBuyerInfo(v AlibabaTclsAelophyOrderReceiptQueryBuyerInfoDTO) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.BuyerInfo = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetPostage(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.Postage = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetTotalOrderAmount(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.TotalOrderAmount = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetBatchStrategy(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.BatchStrategy = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetBusinessType(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.BusinessType = &v
	return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO) SetFulfillOrderId(v string) *AlibabaTclsAelophyOrderReceiptQueryReceiptInfoDTO {
	s.FulfillOrderId = &v
	return s
}
